Merge 6.0 into master
[scilab.git] / scilab / modules / preferences / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2011 - DIGITEO
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29 #
30
31 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
32 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
33 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
34 #
35 # Copyright (C) 2012 - 2016 - Scilab Enterprises
36 #
37 # This file is hereby licensed under the terms of the GNU GPL v2.0,
38 # pursuant to article 5.3.4 of the CeCILL v.2.1.
39 # This file was originally licensed under the terms of the CeCILL v2.1,
40 # and continues to be available under such terms.
41 # For more information, see the COPYING file which you should have received
42 # along with this program.
43 #
44
45 ##########
46 ### Makefile included stuff
47 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
48 ##########
49
50
51 VPATH = @srcdir@
52 am__is_gnu_make = { \
53   if test -z '$(MAKELEVEL)'; then \
54     false; \
55   elif test -n '$(MAKE_HOST)'; then \
56     true; \
57   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58     true; \
59   else \
60     false; \
61   fi; \
62 }
63 am__make_running_with_option = \
64   case $${target_option-} in \
65       ?) ;; \
66       *) echo "am__make_running_with_option: internal error: invalid" \
67               "target option '$${target_option-}' specified" >&2; \
68          exit 1;; \
69   esac; \
70   has_opt=no; \
71   sane_makeflags=$$MAKEFLAGS; \
72   if $(am__is_gnu_make); then \
73     sane_makeflags=$$MFLAGS; \
74   else \
75     case $$MAKEFLAGS in \
76       *\\[\ \   ]*) \
77         bs=\\; \
78         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
80     esac; \
81   fi; \
82   skip_next=no; \
83   strip_trailopt () \
84   { \
85     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86   }; \
87   for flg in $$sane_makeflags; do \
88     test $$skip_next = yes && { skip_next=no; continue; }; \
89     case $$flg in \
90       *=*|--*) continue;; \
91         -*I) strip_trailopt 'I'; skip_next=yes;; \
92       -*I?*) strip_trailopt 'I';; \
93         -*O) strip_trailopt 'O'; skip_next=yes;; \
94       -*O?*) strip_trailopt 'O';; \
95         -*l) strip_trailopt 'l'; skip_next=yes;; \
96       -*l?*) strip_trailopt 'l';; \
97       -[dEDm]) skip_next=yes;; \
98       -[JT]) skip_next=yes;; \
99     esac; \
100     case $$flg in \
101       *$$target_option*) has_opt=yes; break;; \
102     esac; \
103   done; \
104   test $$has_opt = yes
105 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107 pkgdatadir = $(datadir)/@PACKAGE@
108 pkgincludedir = $(includedir)/@PACKAGE@
109 pkglibdir = $(libdir)/@PACKAGE@
110 pkglibexecdir = $(libexecdir)/@PACKAGE@
111 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
112 install_sh_DATA = $(install_sh) -c -m 644
113 install_sh_PROGRAM = $(install_sh) -c
114 install_sh_SCRIPT = $(install_sh) -c
115 INSTALL_HEADER = $(INSTALL_DATA)
116 transform = $(program_transform_name)
117 NORMAL_INSTALL = :
118 PRE_INSTALL = :
119 POST_INSTALL = :
120 NORMAL_UNINSTALL = :
121 PRE_UNINSTALL = :
122 POST_UNINSTALL = :
123 build_triplet = @build@
124 host_triplet = @host@
125 @GUI_TRUE@am__append_1 = libscipreferences.la
126 @GIWS_TRUE@am__append_2 = giws
127 @SWIG_TRUE@am__append_3 = swig
128 @NEED_JAVA_TRUE@am__append_4 = java
129 subdir = modules/preferences
130 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
131 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
132         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
133         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
134         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
135         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
136         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
137         $(top_srcdir)/m4/intel_compiler.m4 \
138         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
139         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
140         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
141         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
142         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
143         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
144         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
145         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
146         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
147         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
148         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
149 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150         $(ACLOCAL_M4)
151 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
152 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
153 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
154 CONFIG_CLEAN_FILES =
155 CONFIG_CLEAN_VPATH_FILES =
156 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
157 am__vpath_adj = case $$p in \
158     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
159     *) f=$$p;; \
160   esac;
161 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
162 am__install_max = 40
163 am__nobase_strip_setup = \
164   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
165 am__nobase_strip = \
166   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
167 am__nobase_list = $(am__nobase_strip_setup); \
168   for p in $$list; do echo "$$p $$p"; done | \
169   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
170   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
171     if (++n[$$2] == $(am__install_max)) \
172       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
173     END { for (dir in files) print dir, files[dir] }'
174 am__base_list = \
175   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
176   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
177 am__uninstall_files_from_dir = { \
178   test -z "$$files" \
179     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
180     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
181          $(am__cd) "$$dir" && rm -f $$files; }; \
182   }
183 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
184         "$(DESTDIR)$(libscipreferences_la_etcdir)" \
185         "$(DESTDIR)$(libscipreferences_la_rootdir)" \
186         "$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)" \
187         "$(DESTDIR)$(libscipreferences_la_src_xsltdir)" \
188         "$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)"
189 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
190 libscipreferences_algo_la_LIBADD =
191 am__dirstamp = $(am__leading_dot)dirstamp
192 am__objects_1 =  \
193         src/c/libscipreferences_algo_la-getScilabPreference.lo
194 am_libscipreferences_algo_la_OBJECTS = $(am__objects_1)
195 libscipreferences_algo_la_OBJECTS =  \
196         $(am_libscipreferences_algo_la_OBJECTS)
197 AM_V_lt = $(am__v_lt_@AM_V@)
198 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
199 am__v_lt_0 = --silent
200 am__v_lt_1 = 
201 libscipreferences_algo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
202         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
203         $(libscipreferences_algo_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
204         $(LDFLAGS) -o $@
205 @GUI_TRUE@am_libscipreferences_algo_la_rpath =
206 libscipreferences_cli_la_DEPENDENCIES = libscipreferences-algo.la
207 am__objects_2 =  \
208         src/nopreferences/libscipreferences_cli_la-nopreferences.lo \
209         sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo
210 am_libscipreferences_cli_la_OBJECTS = $(am__objects_2)
211 libscipreferences_cli_la_OBJECTS =  \
212         $(am_libscipreferences_cli_la_OBJECTS)
213 am__DEPENDENCIES_1 =
214 libscipreferences_la_DEPENDENCIES = libscipreferences-algo.la \
215         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
216         $(am__DEPENDENCIES_1)
217 am__objects_3 = sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo \
218         sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo \
219         sci_gateway/cpp/libscipreferences_la-sci_preferences.lo \
220         sci_gateway/cpp/libscipreferences_la-preferences_gw.lo
221 am__objects_4 = src/jni/libscipreferences_la-ScilabPreferences.lo
222 am_libscipreferences_la_OBJECTS = $(am__objects_3) $(am__objects_4)
223 libscipreferences_la_OBJECTS = $(am_libscipreferences_la_OBJECTS)
224 libscipreferences_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
225         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
226         $(AM_CXXFLAGS) $(CXXFLAGS) $(libscipreferences_la_LDFLAGS) \
227         $(LDFLAGS) -o $@
228 @GUI_TRUE@am_libscipreferences_la_rpath = -rpath $(pkglibdir)
229 AM_V_P = $(am__v_P_@AM_V@)
230 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
231 am__v_P_0 = false
232 am__v_P_1 = :
233 AM_V_GEN = $(am__v_GEN_@AM_V@)
234 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
235 am__v_GEN_0 = @echo "  GEN     " $@;
236 am__v_GEN_1 = 
237 AM_V_at = $(am__v_at_@AM_V@)
238 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
239 am__v_at_0 = @
240 am__v_at_1 = 
241 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
242 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
243 am__depfiles_maybe = depfiles
244 am__mv = mv -f
245 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
246         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
247 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
248         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
249         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
250         $(AM_CFLAGS) $(CFLAGS)
251 AM_V_CC = $(am__v_CC_@AM_V@)
252 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
253 am__v_CC_0 = @echo "  CC      " $@;
254 am__v_CC_1 = 
255 CCLD = $(CC)
256 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
257         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
258         $(AM_LDFLAGS) $(LDFLAGS) -o $@
259 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
260 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
261 am__v_CCLD_0 = @echo "  CCLD    " $@;
262 am__v_CCLD_1 = 
263 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
264         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
265 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
266         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
267         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
268         $(AM_CXXFLAGS) $(CXXFLAGS)
269 AM_V_CXX = $(am__v_CXX_@AM_V@)
270 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
271 am__v_CXX_0 = @echo "  CXX     " $@;
272 am__v_CXX_1 = 
273 CXXLD = $(CXX)
274 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
275         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
276         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
277 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
278 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
279 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
280 am__v_CXXLD_1 = 
281 SOURCES = $(libscipreferences_algo_la_SOURCES) \
282         $(libscipreferences_cli_la_SOURCES) \
283         $(libscipreferences_la_SOURCES)
284 DIST_SOURCES = $(libscipreferences_algo_la_SOURCES) \
285         $(libscipreferences_cli_la_SOURCES) \
286         $(libscipreferences_la_SOURCES)
287 am__can_run_installinfo = \
288   case $$AM_UPDATE_INFO_DIR in \
289     n|no|NO) false;; \
290     *) (install-info --version) >/dev/null 2>&1;; \
291   esac
292 DATA = $(libscipreferences_la_etc_DATA) \
293         $(libscipreferences_la_root_DATA) \
294         $(libscipreferences_la_sci_gateway_DATA) \
295         $(libscipreferences_la_src_xslt_DATA) \
296         $(libscipreferences_la_src_xslt_xwizard_DATA)
297 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
298 # Read a list of newline-separated strings from the standard input,
299 # and print each of them once, without duplicates.  Input order is
300 # *not* preserved.
301 am__uniquify_input = $(AWK) '\
302   BEGIN { nonempty = 0; } \
303   { items[$$0] = 1; nonempty = 1; } \
304   END { if (nonempty) { for (i in items) print i; }; } \
305 '
306 # Make sure the list of sources is unique.  This is necessary because,
307 # e.g., the same source file might be shared among _SOURCES variables
308 # for different programs/libraries.
309 am__define_uniq_tagged_files = \
310   list='$(am__tagged_files)'; \
311   unique=`for i in $$list; do \
312     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313   done | $(am__uniquify_input)`
314 ETAGS = etags
315 CTAGS = ctags
316 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
317         $(top_srcdir)/config/depcomp \
318         $(top_srcdir)/config/mkinstalldirs
319 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
320 ACLOCAL = @ACLOCAL@
321 ALL_LINGUAS = @ALL_LINGUAS@
322 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
323 AMTAR = @AMTAR@
324 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
325 ANT = @ANT@
326 ANTLR = @ANTLR@
327 AR = @AR@
328 ARPACK_LIBS = @ARPACK_LIBS@
329 ASM3 = @ASM3@
330 AUTOCONF = @AUTOCONF@
331 AUTOHEADER = @AUTOHEADER@
332 AUTOMAKE = @AUTOMAKE@
333 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
334 AWK = @AWK@
335 BATIK = @BATIK@
336 BLAS_CFLAGS = @BLAS_CFLAGS@
337 BLAS_LIBS = @BLAS_LIBS@
338 CC = @CC@
339 CCACHE = @CCACHE@
340 CCDEPMODE = @CCDEPMODE@
341 CFLAGS = @CFLAGS@
342 CHECKSTYLE = @CHECKSTYLE@
343 COBERTURA = @COBERTURA@
344 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
345 COMMONS_IO = @COMMONS_IO@
346 COMMONS_LOGGING = @COMMONS_LOGGING@
347 CPP = @CPP@
348 CPPFLAGS = @CPPFLAGS@
349 CURL_CFLAGS = @CURL_CFLAGS@
350 CURL_CONFIG = @CURL_CONFIG@
351 CURL_LIBS = @CURL_LIBS@
352 CURL_VERSION = @CURL_VERSION@
353 CXX = @CXX@
354 CXXCPP = @CXXCPP@
355 CXXDEPMODE = @CXXDEPMODE@
356 CXXFLAGS = @CXXFLAGS@
357 CYGPATH_W = @CYGPATH_W@
358 DEFS = @DEFS@
359 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
360 DEPDIR = @DEPDIR@
361 DLLTOOL = @DLLTOOL@
362 DOCBOOK_ROOT = @DOCBOOK_ROOT@
363 DOXYGEN_BIN = @DOXYGEN_BIN@
364 DSYMUTIL = @DSYMUTIL@
365 DUMPBIN = @DUMPBIN@
366 ECHO_C = @ECHO_C@
367 ECHO_N = @ECHO_N@
368 ECHO_T = @ECHO_T@
369 ECJ = @ECJ@
370 EGREP = @EGREP@
371 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
372 EXEEXT = @EXEEXT@
373 F77 = @F77@
374 FFLAGS = @FFLAGS@
375 FFTW3_LIB = @FFTW3_LIB@
376 FFTW_ENABLE = @FFTW_ENABLE@
377 FGREP = @FGREP@
378 FLEXDOCK = @FLEXDOCK@
379 FLIBS = @FLIBS@
380 FOP = @FOP@
381 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
382 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
383 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
384 FREEHEP_IO = @FREEHEP_IO@
385 FREEHEP_UTIL = @FREEHEP_UTIL@
386 GENHTML = @GENHTML@
387 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
388 GIWS_BIN = @GIWS_BIN@
389 GLUEGEN2_RT = @GLUEGEN2_RT@
390 GMSGFMT = @GMSGFMT@
391 GMSGFMT_015 = @GMSGFMT_015@
392 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
393 GREP = @GREP@
394 GUI_ENABLE = @GUI_ENABLE@
395 HAMCREST = @HAMCREST@
396 HAVE_CXX11 = @HAVE_CXX11@
397 HDF5_CFLAGS = @HDF5_CFLAGS@
398 HDF5_LIBS = @HDF5_LIBS@
399 HELP_ENABLE = @HELP_ENABLE@
400 INSTALL = @INSTALL@
401 INSTALL_DATA = @INSTALL_DATA@
402 INSTALL_PROGRAM = @INSTALL_PROGRAM@
403 INSTALL_SCRIPT = @INSTALL_SCRIPT@
404 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
405 INTLLIBS = @INTLLIBS@
406 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
407 JAR = @JAR@
408 JAVA = @JAVA@
409 JAVAC = @JAVAC@
410 JAVAC_DEBUG = @JAVAC_DEBUG@
411 JAVADOC = @JAVADOC@
412 JAVAH = @JAVAH@
413 JAVASCI_ENABLE = @JAVASCI_ENABLE@
414 JAVA_ENABLE = @JAVA_ENABLE@
415 JAVA_G = @JAVA_G@
416 JAVA_HOME = @JAVA_HOME@
417 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
418 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
419 JDB = @JDB@
420 JEUCLID_CORE = @JEUCLID_CORE@
421 JGRAPHX = @JGRAPHX@
422 JHALL = @JHALL@
423 JLATEXMATH = @JLATEXMATH@
424 JLATEXMATH_FOP = @JLATEXMATH_FOP@
425 JOGL2 = @JOGL2@
426 JROSETTA_API = @JROSETTA_API@
427 JROSETTA_ENGINE = @JROSETTA_ENGINE@
428 JUNIT4 = @JUNIT4@
429 LAPACK_LIBS = @LAPACK_LIBS@
430 LCOV = @LCOV@
431 LD = @LD@
432 LDFLAGS = @LDFLAGS@
433 LEX = @LEX@
434 LEXLIB = @LEXLIB@
435 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
436 LIBICONV = @LIBICONV@
437 LIBINTL = @LIBINTL@
438 LIBM = @LIBM@
439 LIBOBJS = @LIBOBJS@
440 LIBS = @LIBS@
441 LIBTOOL = @LIBTOOL@
442 LIPO = @LIPO@
443 LN_S = @LN_S@
444 LOGGING_LEVEL = @LOGGING_LEVEL@
445 LOOKS = @LOOKS@
446 LTLIBICONV = @LTLIBICONV@
447 LTLIBINTL = @LTLIBINTL@
448 LTLIBOBJS = @LTLIBOBJS@
449 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
450 LUCENE = @LUCENE@
451 LUCENE_ANALYZER = @LUCENE_ANALYZER@
452 LUCENE_PARSER = @LUCENE_PARSER@
453 MAINT = @MAINT@
454 MAKEINFO = @MAKEINFO@
455 MANIFEST_TOOL = @MANIFEST_TOOL@
456 MATIO_CFLAGS = @MATIO_CFLAGS@
457 MATIO_ENABLE = @MATIO_ENABLE@
458 MATIO_LIBS = @MATIO_LIBS@
459 MKDIR_P = @MKDIR_P@
460 MPI_ENABLE = @MPI_ENABLE@
461 MSGCAT = @MSGCAT@
462 MSGFMT = @MSGFMT@
463 MSGFMT_015 = @MSGFMT_015@
464 MSGMERGE = @MSGMERGE@
465 NM = @NM@
466 NMEDIT = @NMEDIT@
467 OBJDUMP = @OBJDUMP@
468 OBJEXT = @OBJEXT@
469 OCAMLC = @OCAMLC@
470 OCAMLDEP = @OCAMLDEP@
471 OCAMLLEX = @OCAMLLEX@
472 OCAMLOPT = @OCAMLOPT@
473 OCAMLYACC = @OCAMLYACC@
474 OPENMPI_CC = @OPENMPI_CC@
475 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
476 OPENMPI_CXX = @OPENMPI_CXX@
477 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
478 OPENMPI_LIBS = @OPENMPI_LIBS@
479 OPENMP_CFLAGS = @OPENMP_CFLAGS@
480 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
481 OPENMP_ENABLE = @OPENMP_ENABLE@
482 OPENMP_LIBS = @OPENMP_LIBS@
483 OTOOL = @OTOOL@
484 OTOOL64 = @OTOOL64@
485 PACKAGE = @PACKAGE@
486 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
487 PACKAGE_NAME = @PACKAGE_NAME@
488 PACKAGE_STRING = @PACKAGE_STRING@
489 PACKAGE_TARNAME = @PACKAGE_TARNAME@
490 PACKAGE_URL = @PACKAGE_URL@
491 PACKAGE_VERSION = @PACKAGE_VERSION@
492 PATH_SEPARATOR = @PATH_SEPARATOR@
493 PCRE_CFLAGS = @PCRE_CFLAGS@
494 PCRE_CONFIG = @PCRE_CONFIG@
495 PCRE_LIBS = @PCRE_LIBS@
496 PCRE_VERSION = @PCRE_VERSION@
497 PKG_CONFIG = @PKG_CONFIG@
498 POSUB = @POSUB@
499 POW_LIB = @POW_LIB@
500 PYTHON = @PYTHON@
501 RANLIB = @RANLIB@
502 RELOCATABLE = @RELOCATABLE@
503 RT_LIB = @RT_LIB@
504 SAXON = @SAXON@
505 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
506 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
507 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
508 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
509 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
510 SCIRENDERER = @SCIRENDERER@
511 SCIRENDERER_CP = @SCIRENDERER_CP@
512 SCI_CFLAGS = @SCI_CFLAGS@
513 SCI_CXXFLAGS = @SCI_CXXFLAGS@
514 SCI_FFLAGS = @SCI_FFLAGS@
515 SCI_LDFLAGS = @SCI_LDFLAGS@
516 SED = @SED@
517 SET_MAKE = @SET_MAKE@
518 SET_RELOCATABLE = @SET_RELOCATABLE@
519 SHELL = @SHELL@
520 SKINLF = @SKINLF@
521 SPLINT = @SPLINT@
522 STRIP = @STRIP@
523 SWIG_BIN = @SWIG_BIN@
524 SWIG_JAVA = @SWIG_JAVA@
525 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
526 SWIG_SCILAB = @SWIG_SCILAB@
527 TCLTK_LIBS = @TCLTK_LIBS@
528 TCL_INC_PATH = @TCL_INC_PATH@
529 TK_INC_PATH = @TK_INC_PATH@
530 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
531 UMFPACK_ENABLE = @UMFPACK_ENABLE@
532 UMFPACK_LIB = @UMFPACK_LIB@
533 USE_NLS = @USE_NLS@
534 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
535 VALGRIND_LIBS = @VALGRIND_LIBS@
536 VERSION = @VERSION@
537 WITH_OCAML = @WITH_OCAML@
538 WITH_TKSCI = @WITH_TKSCI@
539 XCOS_ENABLE = @XCOS_ENABLE@
540 XGETTEXT = @XGETTEXT@
541 XGETTEXT_015 = @XGETTEXT_015@
542 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
543 XMKMF = @XMKMF@
544 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
545 XML_APIS_EXT = @XML_APIS_EXT@
546 XML_CONFIG = @XML_CONFIG@
547 XML_FLAGS = @XML_FLAGS@
548 XML_LIBS = @XML_LIBS@
549 XML_VERSION = @XML_VERSION@
550 X_CFLAGS = @X_CFLAGS@
551 X_EXTRA_LIBS = @X_EXTRA_LIBS@
552 X_LIBS = @X_LIBS@
553 X_PRE_LIBS = @X_PRE_LIBS@
554 YACC = @YACC@
555 YFLAGS = @YFLAGS@
556 abs_builddir = @abs_builddir@
557 abs_srcdir = @abs_srcdir@
558 abs_top_builddir = @abs_top_builddir@
559 abs_top_srcdir = @abs_top_srcdir@
560 ac_ct_AR = @ac_ct_AR@
561 ac_ct_CC = @ac_ct_CC@
562 ac_ct_CXX = @ac_ct_CXX@
563 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
564 ac_ct_F77 = @ac_ct_F77@
565 am__include = @am__include@
566 am__leading_dot = @am__leading_dot@
567 am__quote = @am__quote@
568 am__tar = @am__tar@
569 am__untar = @am__untar@
570 bindir = @bindir@
571 build = @build@
572 build_alias = @build_alias@
573 build_cpu = @build_cpu@
574 build_os = @build_os@
575 build_vendor = @build_vendor@
576 builddir = @builddir@
577 cxx_present = @cxx_present@
578 datadir = @datadir@
579 datarootdir = @datarootdir@
580 docdir = @docdir@
581 dvidir = @dvidir@
582 exec_prefix = @exec_prefix@
583 host = @host@
584 host_alias = @host_alias@
585 host_cpu = @host_cpu@
586 host_os = @host_os@
587 host_vendor = @host_vendor@
588 htmldir = @htmldir@
589 includedir = @includedir@
590 infodir = @infodir@
591 install_sh = @install_sh@
592 libdir = @libdir@
593 libexecdir = @libexecdir@
594 localedir = @localedir@
595 localstatedir = @localstatedir@
596 mandir = @mandir@
597 mkdir_p = @mkdir_p@
598 oldincludedir = @oldincludedir@
599 pdfdir = @pdfdir@
600 prefix = @prefix@
601 program_transform_name = @program_transform_name@
602 psdir = @psdir@
603 sbindir = @sbindir@
604 sharedstatedir = @sharedstatedir@
605 srcdir = @srcdir@
606 sysconfdir = @sysconfdir@
607 target_alias = @target_alias@
608 top_build_prefix = @top_build_prefix@
609 top_builddir = @top_builddir@
610 top_srcdir = @top_srcdir@
611 yacc_present = @yacc_present@
612
613 #### Target ######
614 modulename = preferences
615
616 #### preferences : Conf files ####
617 libscipreferences_la_rootdir = $(mydatadir)
618 libscipreferences_la_root_DATA = license.txt
619
620 #### preferences : init scripts & configuration files ####
621 libscipreferences_la_etcdir = $(mydatadir)/etc
622 libscipreferences_la_etc_DATA = \
623         etc/preferences.quit \
624         etc/preferences.start \
625         etc/XConfiguration.xml \
626         etc/XConfiguration-preference.xml \
627         etc/XConfiguration-preference.xsl \
628         etc/XWizard-expression.xml \
629         etc/XWizard-function.xml \
630         etc/XWizard-xcos.xml \
631         etc/XWizard.xml
632
633
634 #### preferences : xslt files ####
635 libscipreferences_la_src_xsltdir = $(mydatadir)/src/xslt
636 libscipreferences_la_src_xslt_DATA = \
637         src/xslt/XCommon-toolbars.xsl \
638         src/xslt/XCommon.xsl \
639         src/xslt/XConfiguration.xsl \
640         src/xslt/XGeneric.xsl \
641         src/xslt/XWizard.xsl
642
643 libscipreferences_la_src_xslt_xwizarddir = $(mydatadir)/src/xslt/XWizard
644 libscipreferences_la_src_xslt_xwizard_DATA = \
645         src/xslt/XWizard/XWizard-any.xsl \
646         src/xslt/XWizard/XWizard-expression.xsl \
647         src/xslt/XWizard/XWizard-function.xsl \
648         src/xslt/XWizard/XWizard-xcos.xsl
649
650 PREFERENCES_JNI_SOURCES = src/jni/ScilabPreferences.cpp
651 PREFERENCES_C_SOURCES = src/c/getScilabPreference.c
652 GATEWAY_CPP_SOURCES = \
653     sci_gateway/cpp/sci_addModulePreferences.cpp \
654     sci_gateway/cpp/sci_removeModulePreferences.cpp \
655     sci_gateway/cpp/sci_preferences.cpp \
656     sci_gateway/cpp/preferences_gw.cpp
657
658 libscipreferences_la_CPPFLAGS = \
659     $(JAVA_JNI_INCLUDE) \
660     -I$(srcdir)/includes/ \
661     -I$(srcdir)/src/c/ \
662     -I$(srcdir)/src/jni/ \
663     $(XML_FLAGS) \
664     -I$(top_srcdir)/modules/ast/includes/ast/ \
665     -I$(top_srcdir)/modules/ast/includes/analysis/ \
666     -I$(top_srcdir)/modules/ast/includes/exps/ \
667     -I$(top_srcdir)/modules/ast/includes/operations/ \
668     -I$(top_srcdir)/modules/ast/includes/parse/ \
669     -I$(top_srcdir)/modules/ast/includes/symbol/ \
670     -I$(top_srcdir)/modules/ast/includes/system_env/ \
671     -I$(top_srcdir)/modules/ast/includes/types/ \
672     -I$(top_srcdir)/modules/commons/src/jni/ \
673         -I$(top_srcdir)/modules/localization/includes/ \
674         -I$(top_srcdir)/modules/output_stream/includes/ \
675     -I$(top_srcdir)/modules/string/includes/ \
676     -I$(top_srcdir)/modules/dynamic_link/includes/ \
677     -I$(top_srcdir)/modules/fileio/includes/ \
678     -I$(top_srcdir)/modules/api_scilab/includes/ \
679     -I$(top_srcdir)/modules/jvm/includes/ \
680     -I$(top_srcdir)/modules/threads/includes/ \
681     $(AM_CPPFLAGS)
682
683
684 # Without the preferences module
685 libscipreferences_cli_la_CPPFLAGS = \
686     -I$(srcdir)/includes/ \
687     -I$(top_srcdir)/modules/ast/includes/ast/ \
688     -I$(top_srcdir)/modules/ast/includes/exps/ \
689     -I$(top_srcdir)/modules/ast/includes/operations/ \
690     -I$(top_srcdir)/modules/ast/includes/parse/ \
691     -I$(top_srcdir)/modules/ast/includes/symbol/ \
692     -I$(top_srcdir)/modules/ast/includes/system_env/ \
693     -I$(top_srcdir)/modules/ast/includes/types/ \
694     -I$(top_srcdir)/modules/ast/includes/analysis/ \
695     -I$(top_srcdir)/modules/localization/includes/ \
696     -I$(top_srcdir)/modules/output_stream/includes \
697         -I$(top_srcdir)/modules/string/includes/ \
698     -I$(top_srcdir)/modules/dynamic_link/includes/ \
699     -I$(top_srcdir)/modules/threads/includes/ \
700     $(AM_CPPFLAGS)
701
702 PREFERENCES_CLI_CPP_SOURCES = src/nopreferences/nopreferences.cpp \
703                                                           sci_gateway/cpp/preferences_gw.cpp
704
705 libscipreferences_cli_la_SOURCES = $(PREFERENCES_CLI_CPP_SOURCES)
706 libscipreferences_la_LDFLAGS = $(AM_LDFLAGS)
707 pkglib_LTLIBRARIES = libscipreferences-cli.la $(am__append_1)
708 @GUI_TRUE@noinst_LTLIBRARIES = libscipreferences-algo.la
709 libscipreferences_algo_la_SOURCES = $(PREFERENCES_C_SOURCES)
710 libscipreferences_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)  $(PREFERENCES_JNI_SOURCES)
711 libscipreferences_algo_la_CFLAGS = $(libscipreferences_la_CFLAGS)
712 libscipreferences_algo_la_CPPFLAGS = $(libscipreferences_la_CPPFLAGS)
713
714 # For the code check (splint)
715 CHECK_SRC = $(PREFERENCES_C_SOURCES) $(GATEWAY_C_SOURCES)
716 INCLUDE_FLAGS = $(libscipreferences_la_CPPFLAGS)
717 GIWS_WRAPPERS = src/jni/ScilabPreferences.giws.xml
718 SWIG_WRAPPERS = 
719 BUILT_SOURCES = $(am__append_2) $(am__append_3)
720 libscipreferences_cli_la_LIBADD = libscipreferences-algo.la
721 libscipreferences_la_LIBADD = libscipreferences-algo.la $(X_LIBS) $(X_EXTRA_LIBS) $(XML_LIBS)
722
723 @GUI_TRUE@USEANT = 1
724
725 # Where all the Scilab stuff is installed (macros, help, ...)
726 mydatadir = $(pkgdatadir)/modules/$(modulename)
727
728 # Set AM_* SCI detected settings
729 AM_CPPFLAGS = $(SCI_CPPFLAGS)
730 AM_CFLAGS = $(SCI_CFLAGS)
731 AM_CXXFLAGS = $(SCI_CXXFLAGS)
732 # append includes to AM_FFLAGS to manage fortran includes
733 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
734
735 # Tag shared libraries with the Scilab version
736 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
737
738 # splint options
739 SPLINT_OPTIONS = -weak -booltype BOOL
740
741 ########################### JAVA ######################################
742 #### We are delegating java compilation to ant... Thanks to that
743 #### the procedure will be the same with Microsoft Windows (C)
744 #### and Linux/Unix
745 #######################################################################
746 TARGETS_ALL = $(am__append_4)
747
748 ################ MACROS ######################
749 # Rule to build a macro
750 # NOT USED  AT THE MOMENT
751 SUFFIXES = .sci 
752
753 ########### INSTALL DOCUMENTATION ###################
754
755 # Install documentation files into the right target
756 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
757 # automake needs the html files to be present which is not the case when
758 # we are building Scilab
759
760 # Where it should be installed
761 pkgdocdir = $(mydatadir)
762
763 # What is the mask of the help source
764 DOCMASKXML = *.xml
765
766 # What is the mask of the MathML sources
767 DOCMASKMML = *.mml
768
769 ########### INSTALL DATA ###################
770 # Install macros, help & demos
771 # Where it should be installed
772 pkgmacrosdir = $(mydatadir)
773 # Which directory we process
774 MACRODIRS = macros/
775 # Mask of the Scilab sources macros
776 MACROMASK = *.sci
777 # Mask of the Scilab executable sources macros
778 MACROBUILDMASK = *.sce
779 # Mask of the Scilab compiled macros
780 MACROBINMASK = *.bin
781 # List of the standard directory for tests
782 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
783 # Where the demos should be installed
784 pkgdemosdir = $(mydatadir)
785 # List of the standard directory for demos
786 DEMOS_DIR = demos
787 # List of the standard directory for examples
788 EXAMPLES_DIR = examples
789 # Where to export JAVA archives (.jar)
790 JARDIR = jar/
791 # JAR files mask
792 JARMASK = *.jar
793 # Chapter file 
794 HELP_CHAPTERDIR = help/
795 HELP_CHAPTERFILE = addchapter.sce
796 HELP_CHAPTERLANG = en_US fr_FR pt_BR
797 all: $(BUILT_SOURCES)
798         $(MAKE) $(AM_MAKEFLAGS) all-am
799
800 .SUFFIXES:
801 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
802 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
803         @for dep in $?; do \
804           case '$(am__configure_deps)' in \
805             *$$dep*) \
806               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
807                 && { if test -f $@; then exit 0; else break; fi; }; \
808               exit 1;; \
809           esac; \
810         done; \
811         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/preferences/Makefile'; \
812         $(am__cd) $(top_srcdir) && \
813           $(AUTOMAKE) --foreign modules/preferences/Makefile
814 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
815         @case '$?' in \
816           *config.status*) \
817             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
818           *) \
819             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
820             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
821         esac;
822 $(top_srcdir)/Makefile.incl.am $(am__empty):
823
824 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
825         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
826
827 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
828         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
829 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
830         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
831 $(am__aclocal_m4_deps):
832
833 clean-noinstLTLIBRARIES:
834         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
835         @list='$(noinst_LTLIBRARIES)'; \
836         locs=`for p in $$list; do echo $$p; done | \
837               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
838               sort -u`; \
839         test -z "$$locs" || { \
840           echo rm -f $${locs}; \
841           rm -f $${locs}; \
842         }
843
844 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
845         @$(NORMAL_INSTALL)
846         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
847         list2=; for p in $$list; do \
848           if test -f $$p; then \
849             list2="$$list2 $$p"; \
850           else :; fi; \
851         done; \
852         test -z "$$list2" || { \
853           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
854           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
855           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
856           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
857         }
858
859 uninstall-pkglibLTLIBRARIES:
860         @$(NORMAL_UNINSTALL)
861         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
862         for p in $$list; do \
863           $(am__strip_dir) \
864           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
865           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
866         done
867
868 clean-pkglibLTLIBRARIES:
869         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
870         @list='$(pkglib_LTLIBRARIES)'; \
871         locs=`for p in $$list; do echo $$p; done | \
872               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
873               sort -u`; \
874         test -z "$$locs" || { \
875           echo rm -f $${locs}; \
876           rm -f $${locs}; \
877         }
878 src/c/$(am__dirstamp):
879         @$(MKDIR_P) src/c
880         @: > src/c/$(am__dirstamp)
881 src/c/$(DEPDIR)/$(am__dirstamp):
882         @$(MKDIR_P) src/c/$(DEPDIR)
883         @: > src/c/$(DEPDIR)/$(am__dirstamp)
884 src/c/libscipreferences_algo_la-getScilabPreference.lo:  \
885         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
886
887 libscipreferences-algo.la: $(libscipreferences_algo_la_OBJECTS) $(libscipreferences_algo_la_DEPENDENCIES) $(EXTRA_libscipreferences_algo_la_DEPENDENCIES) 
888         $(AM_V_CCLD)$(libscipreferences_algo_la_LINK) $(am_libscipreferences_algo_la_rpath) $(libscipreferences_algo_la_OBJECTS) $(libscipreferences_algo_la_LIBADD) $(LIBS)
889 src/nopreferences/$(am__dirstamp):
890         @$(MKDIR_P) src/nopreferences
891         @: > src/nopreferences/$(am__dirstamp)
892 src/nopreferences/$(DEPDIR)/$(am__dirstamp):
893         @$(MKDIR_P) src/nopreferences/$(DEPDIR)
894         @: > src/nopreferences/$(DEPDIR)/$(am__dirstamp)
895 src/nopreferences/libscipreferences_cli_la-nopreferences.lo:  \
896         src/nopreferences/$(am__dirstamp) \
897         src/nopreferences/$(DEPDIR)/$(am__dirstamp)
898 sci_gateway/cpp/$(am__dirstamp):
899         @$(MKDIR_P) sci_gateway/cpp
900         @: > sci_gateway/cpp/$(am__dirstamp)
901 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
902         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
903         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
904 sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo:  \
905         sci_gateway/cpp/$(am__dirstamp) \
906         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
907
908 libscipreferences-cli.la: $(libscipreferences_cli_la_OBJECTS) $(libscipreferences_cli_la_DEPENDENCIES) $(EXTRA_libscipreferences_cli_la_DEPENDENCIES) 
909         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscipreferences_cli_la_OBJECTS) $(libscipreferences_cli_la_LIBADD) $(LIBS)
910 sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo:  \
911         sci_gateway/cpp/$(am__dirstamp) \
912         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
913 sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo:  \
914         sci_gateway/cpp/$(am__dirstamp) \
915         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
916 sci_gateway/cpp/libscipreferences_la-sci_preferences.lo:  \
917         sci_gateway/cpp/$(am__dirstamp) \
918         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
919 sci_gateway/cpp/libscipreferences_la-preferences_gw.lo:  \
920         sci_gateway/cpp/$(am__dirstamp) \
921         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
922 src/jni/$(am__dirstamp):
923         @$(MKDIR_P) src/jni
924         @: > src/jni/$(am__dirstamp)
925 src/jni/$(DEPDIR)/$(am__dirstamp):
926         @$(MKDIR_P) src/jni/$(DEPDIR)
927         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
928 src/jni/libscipreferences_la-ScilabPreferences.lo:  \
929         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
930
931 libscipreferences.la: $(libscipreferences_la_OBJECTS) $(libscipreferences_la_DEPENDENCIES) $(EXTRA_libscipreferences_la_DEPENDENCIES) 
932         $(AM_V_CXXLD)$(libscipreferences_la_LINK) $(am_libscipreferences_la_rpath) $(libscipreferences_la_OBJECTS) $(libscipreferences_la_LIBADD) $(LIBS)
933
934 mostlyclean-compile:
935         -rm -f *.$(OBJEXT)
936         -rm -f sci_gateway/cpp/*.$(OBJEXT)
937         -rm -f sci_gateway/cpp/*.lo
938         -rm -f src/c/*.$(OBJEXT)
939         -rm -f src/c/*.lo
940         -rm -f src/jni/*.$(OBJEXT)
941         -rm -f src/jni/*.lo
942         -rm -f src/nopreferences/*.$(OBJEXT)
943         -rm -f src/nopreferences/*.lo
944
945 distclean-compile:
946         -rm -f *.tab.c
947
948 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscipreferences_cli_la-preferences_gw.Plo@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-preferences_gw.Plo@am__quote@
950 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_addModulePreferences.Plo@am__quote@
951 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_preferences.Plo@am__quote@
952 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_removeModulePreferences.Plo@am__quote@
953 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscipreferences_algo_la-getScilabPreference.Plo@am__quote@
954 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscipreferences_la-ScilabPreferences.Plo@am__quote@
955 @AMDEP_TRUE@@am__include@ @am__quote@src/nopreferences/$(DEPDIR)/libscipreferences_cli_la-nopreferences.Plo@am__quote@
956
957 .c.o:
958 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
959 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
960 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
962 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
963 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
964
965 .c.obj:
966 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
967 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
968 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
970 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
972
973 .c.lo:
974 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
975 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
976 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
978 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
979 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
980
981 src/c/libscipreferences_algo_la-getScilabPreference.lo: src/c/getScilabPreference.c
982 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscipreferences_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscipreferences_algo_la-getScilabPreference.lo -MD -MP -MF src/c/$(DEPDIR)/libscipreferences_algo_la-getScilabPreference.Tpo -c -o src/c/libscipreferences_algo_la-getScilabPreference.lo `test -f 'src/c/getScilabPreference.c' || echo '$(srcdir)/'`src/c/getScilabPreference.c
983 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscipreferences_algo_la-getScilabPreference.Tpo src/c/$(DEPDIR)/libscipreferences_algo_la-getScilabPreference.Plo
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getScilabPreference.c' object='src/c/libscipreferences_algo_la-getScilabPreference.lo' libtool=yes @AMDEPBACKSLASH@
985 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscipreferences_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscipreferences_algo_la-getScilabPreference.lo `test -f 'src/c/getScilabPreference.c' || echo '$(srcdir)/'`src/c/getScilabPreference.c
987
988 .cpp.o:
989 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
990 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
991 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
995
996 .cpp.obj:
997 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
998 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
999 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1000 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1001 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1002 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1003
1004 .cpp.lo:
1005 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1006 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1007 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1008 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1009 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1011
1012 src/nopreferences/libscipreferences_cli_la-nopreferences.lo: src/nopreferences/nopreferences.cpp
1013 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_cli_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/nopreferences/libscipreferences_cli_la-nopreferences.lo -MD -MP -MF src/nopreferences/$(DEPDIR)/libscipreferences_cli_la-nopreferences.Tpo -c -o src/nopreferences/libscipreferences_cli_la-nopreferences.lo `test -f 'src/nopreferences/nopreferences.cpp' || echo '$(srcdir)/'`src/nopreferences/nopreferences.cpp
1014 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/nopreferences/$(DEPDIR)/libscipreferences_cli_la-nopreferences.Tpo src/nopreferences/$(DEPDIR)/libscipreferences_cli_la-nopreferences.Plo
1015 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/nopreferences/nopreferences.cpp' object='src/nopreferences/libscipreferences_cli_la-nopreferences.lo' libtool=yes @AMDEPBACKSLASH@
1016 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1017 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_cli_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/nopreferences/libscipreferences_cli_la-nopreferences.lo `test -f 'src/nopreferences/nopreferences.cpp' || echo '$(srcdir)/'`src/nopreferences/nopreferences.cpp
1018
1019 sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo: sci_gateway/cpp/preferences_gw.cpp
1020 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_cli_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscipreferences_cli_la-preferences_gw.Tpo -c -o sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo `test -f 'sci_gateway/cpp/preferences_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/preferences_gw.cpp
1021 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscipreferences_cli_la-preferences_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscipreferences_cli_la-preferences_gw.Plo
1022 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/preferences_gw.cpp' object='sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo' libtool=yes @AMDEPBACKSLASH@
1023 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1024 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_cli_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscipreferences_cli_la-preferences_gw.lo `test -f 'sci_gateway/cpp/preferences_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/preferences_gw.cpp
1025
1026 sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo: sci_gateway/cpp/sci_addModulePreferences.cpp
1027 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_addModulePreferences.Tpo -c -o sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo `test -f 'sci_gateway/cpp/sci_addModulePreferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_addModulePreferences.cpp
1028 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_addModulePreferences.Tpo sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_addModulePreferences.Plo
1029 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_addModulePreferences.cpp' object='sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo' libtool=yes @AMDEPBACKSLASH@
1030 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1031 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscipreferences_la-sci_addModulePreferences.lo `test -f 'sci_gateway/cpp/sci_addModulePreferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_addModulePreferences.cpp
1032
1033 sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo: sci_gateway/cpp/sci_removeModulePreferences.cpp
1034 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_removeModulePreferences.Tpo -c -o sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo `test -f 'sci_gateway/cpp/sci_removeModulePreferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_removeModulePreferences.cpp
1035 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_removeModulePreferences.Tpo sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_removeModulePreferences.Plo
1036 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_removeModulePreferences.cpp' object='sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo' libtool=yes @AMDEPBACKSLASH@
1037 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1038 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscipreferences_la-sci_removeModulePreferences.lo `test -f 'sci_gateway/cpp/sci_removeModulePreferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_removeModulePreferences.cpp
1039
1040 sci_gateway/cpp/libscipreferences_la-sci_preferences.lo: sci_gateway/cpp/sci_preferences.cpp
1041 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscipreferences_la-sci_preferences.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_preferences.Tpo -c -o sci_gateway/cpp/libscipreferences_la-sci_preferences.lo `test -f 'sci_gateway/cpp/sci_preferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_preferences.cpp
1042 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_preferences.Tpo sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-sci_preferences.Plo
1043 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_preferences.cpp' object='sci_gateway/cpp/libscipreferences_la-sci_preferences.lo' libtool=yes @AMDEPBACKSLASH@
1044 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1045 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscipreferences_la-sci_preferences.lo `test -f 'sci_gateway/cpp/sci_preferences.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_preferences.cpp
1046
1047 sci_gateway/cpp/libscipreferences_la-preferences_gw.lo: sci_gateway/cpp/preferences_gw.cpp
1048 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscipreferences_la-preferences_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-preferences_gw.Tpo -c -o sci_gateway/cpp/libscipreferences_la-preferences_gw.lo `test -f 'sci_gateway/cpp/preferences_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/preferences_gw.cpp
1049 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-preferences_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscipreferences_la-preferences_gw.Plo
1050 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/preferences_gw.cpp' object='sci_gateway/cpp/libscipreferences_la-preferences_gw.lo' libtool=yes @AMDEPBACKSLASH@
1051 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscipreferences_la-preferences_gw.lo `test -f 'sci_gateway/cpp/preferences_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/preferences_gw.cpp
1053
1054 src/jni/libscipreferences_la-ScilabPreferences.lo: src/jni/ScilabPreferences.cpp
1055 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscipreferences_la-ScilabPreferences.lo -MD -MP -MF src/jni/$(DEPDIR)/libscipreferences_la-ScilabPreferences.Tpo -c -o src/jni/libscipreferences_la-ScilabPreferences.lo `test -f 'src/jni/ScilabPreferences.cpp' || echo '$(srcdir)/'`src/jni/ScilabPreferences.cpp
1056 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscipreferences_la-ScilabPreferences.Tpo src/jni/$(DEPDIR)/libscipreferences_la-ScilabPreferences.Plo
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabPreferences.cpp' object='src/jni/libscipreferences_la-ScilabPreferences.lo' libtool=yes @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscipreferences_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscipreferences_la-ScilabPreferences.lo `test -f 'src/jni/ScilabPreferences.cpp' || echo '$(srcdir)/'`src/jni/ScilabPreferences.cpp
1060
1061 mostlyclean-libtool:
1062         -rm -f *.lo
1063
1064 clean-libtool:
1065         -rm -rf .libs _libs
1066         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1067         -rm -rf src/c/.libs src/c/_libs
1068         -rm -rf src/jni/.libs src/jni/_libs
1069         -rm -rf src/nopreferences/.libs src/nopreferences/_libs
1070 install-libscipreferences_la_etcDATA: $(libscipreferences_la_etc_DATA)
1071         @$(NORMAL_INSTALL)
1072         @list='$(libscipreferences_la_etc_DATA)'; test -n "$(libscipreferences_la_etcdir)" || list=; \
1073         if test -n "$$list"; then \
1074           echo " $(MKDIR_P) '$(DESTDIR)$(libscipreferences_la_etcdir)'"; \
1075           $(MKDIR_P) "$(DESTDIR)$(libscipreferences_la_etcdir)" || exit 1; \
1076         fi; \
1077         for p in $$list; do \
1078           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1079           echo "$$d$$p"; \
1080         done | $(am__base_list) | \
1081         while read files; do \
1082           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscipreferences_la_etcdir)'"; \
1083           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscipreferences_la_etcdir)" || exit $$?; \
1084         done
1085
1086 uninstall-libscipreferences_la_etcDATA:
1087         @$(NORMAL_UNINSTALL)
1088         @list='$(libscipreferences_la_etc_DATA)'; test -n "$(libscipreferences_la_etcdir)" || list=; \
1089         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1090         dir='$(DESTDIR)$(libscipreferences_la_etcdir)'; $(am__uninstall_files_from_dir)
1091 install-libscipreferences_la_rootDATA: $(libscipreferences_la_root_DATA)
1092         @$(NORMAL_INSTALL)
1093         @list='$(libscipreferences_la_root_DATA)'; test -n "$(libscipreferences_la_rootdir)" || list=; \
1094         if test -n "$$list"; then \
1095           echo " $(MKDIR_P) '$(DESTDIR)$(libscipreferences_la_rootdir)'"; \
1096           $(MKDIR_P) "$(DESTDIR)$(libscipreferences_la_rootdir)" || exit 1; \
1097         fi; \
1098         for p in $$list; do \
1099           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1100           echo "$$d$$p"; \
1101         done | $(am__base_list) | \
1102         while read files; do \
1103           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscipreferences_la_rootdir)'"; \
1104           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscipreferences_la_rootdir)" || exit $$?; \
1105         done
1106
1107 uninstall-libscipreferences_la_rootDATA:
1108         @$(NORMAL_UNINSTALL)
1109         @list='$(libscipreferences_la_root_DATA)'; test -n "$(libscipreferences_la_rootdir)" || list=; \
1110         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1111         dir='$(DESTDIR)$(libscipreferences_la_rootdir)'; $(am__uninstall_files_from_dir)
1112 install-libscipreferences_la_sci_gatewayDATA: $(libscipreferences_la_sci_gateway_DATA)
1113         @$(NORMAL_INSTALL)
1114         @list='$(libscipreferences_la_sci_gateway_DATA)'; test -n "$(libscipreferences_la_sci_gatewaydir)" || list=; \
1115         if test -n "$$list"; then \
1116           echo " $(MKDIR_P) '$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)'"; \
1117           $(MKDIR_P) "$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)" || exit 1; \
1118         fi; \
1119         for p in $$list; do \
1120           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1121           echo "$$d$$p"; \
1122         done | $(am__base_list) | \
1123         while read files; do \
1124           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)'"; \
1125           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)" || exit $$?; \
1126         done
1127
1128 uninstall-libscipreferences_la_sci_gatewayDATA:
1129         @$(NORMAL_UNINSTALL)
1130         @list='$(libscipreferences_la_sci_gateway_DATA)'; test -n "$(libscipreferences_la_sci_gatewaydir)" || list=; \
1131         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1132         dir='$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1133 install-libscipreferences_la_src_xsltDATA: $(libscipreferences_la_src_xslt_DATA)
1134         @$(NORMAL_INSTALL)
1135         @list='$(libscipreferences_la_src_xslt_DATA)'; test -n "$(libscipreferences_la_src_xsltdir)" || list=; \
1136         if test -n "$$list"; then \
1137           echo " $(MKDIR_P) '$(DESTDIR)$(libscipreferences_la_src_xsltdir)'"; \
1138           $(MKDIR_P) "$(DESTDIR)$(libscipreferences_la_src_xsltdir)" || exit 1; \
1139         fi; \
1140         for p in $$list; do \
1141           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1142           echo "$$d$$p"; \
1143         done | $(am__base_list) | \
1144         while read files; do \
1145           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscipreferences_la_src_xsltdir)'"; \
1146           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscipreferences_la_src_xsltdir)" || exit $$?; \
1147         done
1148
1149 uninstall-libscipreferences_la_src_xsltDATA:
1150         @$(NORMAL_UNINSTALL)
1151         @list='$(libscipreferences_la_src_xslt_DATA)'; test -n "$(libscipreferences_la_src_xsltdir)" || list=; \
1152         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1153         dir='$(DESTDIR)$(libscipreferences_la_src_xsltdir)'; $(am__uninstall_files_from_dir)
1154 install-libscipreferences_la_src_xslt_xwizardDATA: $(libscipreferences_la_src_xslt_xwizard_DATA)
1155         @$(NORMAL_INSTALL)
1156         @list='$(libscipreferences_la_src_xslt_xwizard_DATA)'; test -n "$(libscipreferences_la_src_xslt_xwizarddir)" || list=; \
1157         if test -n "$$list"; then \
1158           echo " $(MKDIR_P) '$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)'"; \
1159           $(MKDIR_P) "$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)" || exit 1; \
1160         fi; \
1161         for p in $$list; do \
1162           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1163           echo "$$d$$p"; \
1164         done | $(am__base_list) | \
1165         while read files; do \
1166           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)'"; \
1167           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)" || exit $$?; \
1168         done
1169
1170 uninstall-libscipreferences_la_src_xslt_xwizardDATA:
1171         @$(NORMAL_UNINSTALL)
1172         @list='$(libscipreferences_la_src_xslt_xwizard_DATA)'; test -n "$(libscipreferences_la_src_xslt_xwizarddir)" || list=; \
1173         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1174         dir='$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)'; $(am__uninstall_files_from_dir)
1175
1176 ID: $(am__tagged_files)
1177         $(am__define_uniq_tagged_files); mkid -fID $$unique
1178 tags: tags-am
1179 TAGS: tags
1180
1181 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1182         set x; \
1183         here=`pwd`; \
1184         $(am__define_uniq_tagged_files); \
1185         shift; \
1186         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1187           test -n "$$unique" || unique=$$empty_fix; \
1188           if test $$# -gt 0; then \
1189             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1190               "$$@" $$unique; \
1191           else \
1192             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1193               $$unique; \
1194           fi; \
1195         fi
1196 ctags: ctags-am
1197
1198 CTAGS: ctags
1199 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1200         $(am__define_uniq_tagged_files); \
1201         test -z "$(CTAGS_ARGS)$$unique" \
1202           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1203              $$unique
1204
1205 GTAGS:
1206         here=`$(am__cd) $(top_builddir) && pwd` \
1207           && $(am__cd) $(top_srcdir) \
1208           && gtags -i $(GTAGS_ARGS) "$$here"
1209 cscopelist: cscopelist-am
1210
1211 cscopelist-am: $(am__tagged_files)
1212         list='$(am__tagged_files)'; \
1213         case "$(srcdir)" in \
1214           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1215           *) sdir=$(subdir)/$(srcdir) ;; \
1216         esac; \
1217         for i in $$list; do \
1218           if test -f "$$i"; then \
1219             echo "$(subdir)/$$i"; \
1220           else \
1221             echo "$$sdir/$$i"; \
1222           fi; \
1223         done >> $(top_builddir)/cscope.files
1224
1225 distclean-tags:
1226         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1227
1228 distdir: $(DISTFILES)
1229         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1230         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231         list='$(DISTFILES)'; \
1232           dist_files=`for file in $$list; do echo $$file; done | \
1233           sed -e "s|^$$srcdirstrip/||;t" \
1234               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1235         case $$dist_files in \
1236           */*) $(MKDIR_P) `echo "$$dist_files" | \
1237                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1238                            sort -u` ;; \
1239         esac; \
1240         for file in $$dist_files; do \
1241           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1242           if test -d $$d/$$file; then \
1243             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1244             if test -d "$(distdir)/$$file"; then \
1245               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1246             fi; \
1247             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1248               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1249               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1250             fi; \
1251             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1252           else \
1253             test -f "$(distdir)/$$file" \
1254             || cp -p $$d/$$file "$(distdir)/$$file" \
1255             || exit 1; \
1256           fi; \
1257         done
1258 check-am: all-am
1259         $(MAKE) $(AM_MAKEFLAGS) check-local
1260 check: $(BUILT_SOURCES)
1261         $(MAKE) $(AM_MAKEFLAGS) check-am
1262 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1263 installdirs:
1264         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscipreferences_la_etcdir)" "$(DESTDIR)$(libscipreferences_la_rootdir)" "$(DESTDIR)$(libscipreferences_la_sci_gatewaydir)" "$(DESTDIR)$(libscipreferences_la_src_xsltdir)" "$(DESTDIR)$(libscipreferences_la_src_xslt_xwizarddir)"; do \
1265           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1266         done
1267 install: $(BUILT_SOURCES)
1268         $(MAKE) $(AM_MAKEFLAGS) install-am
1269 install-exec: install-exec-am
1270 install-data: install-data-am
1271 uninstall: uninstall-am
1272
1273 install-am: all-am
1274         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1275
1276 installcheck: installcheck-am
1277 install-strip:
1278         if test -z '$(STRIP)'; then \
1279           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1280             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1281               install; \
1282         else \
1283           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1284             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1285             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1286         fi
1287 mostlyclean-generic:
1288
1289 clean-generic:
1290
1291 distclean-generic:
1292         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1293         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1294         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1295         -rm -f sci_gateway/cpp/$(am__dirstamp)
1296         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1297         -rm -f src/c/$(am__dirstamp)
1298         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1299         -rm -f src/jni/$(am__dirstamp)
1300         -rm -f src/nopreferences/$(DEPDIR)/$(am__dirstamp)
1301         -rm -f src/nopreferences/$(am__dirstamp)
1302
1303 maintainer-clean-generic:
1304         @echo "This command is intended for maintainers to use"
1305         @echo "it deletes files that may require special tools to rebuild."
1306         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1307 clean: clean-am
1308
1309 clean-am: clean-generic clean-libtool clean-local \
1310         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1311
1312 distclean: distclean-am
1313         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR) src/nopreferences/$(DEPDIR)
1314         -rm -f Makefile
1315 distclean-am: clean-am distclean-compile distclean-generic \
1316         distclean-local distclean-tags
1317
1318 dvi: dvi-am
1319
1320 dvi-am:
1321
1322 html: html-am
1323
1324 html-am:
1325
1326 info: info-am
1327
1328 info-am:
1329
1330 install-data-am: install-data-local \
1331         install-libscipreferences_la_etcDATA \
1332         install-libscipreferences_la_rootDATA \
1333         install-libscipreferences_la_sci_gatewayDATA \
1334         install-libscipreferences_la_src_xsltDATA \
1335         install-libscipreferences_la_src_xslt_xwizardDATA
1336
1337 install-dvi: install-dvi-am
1338
1339 install-dvi-am:
1340
1341 install-exec-am: install-pkglibLTLIBRARIES
1342
1343 install-html: install-html-am
1344
1345 install-html-am: install-html-local
1346
1347 install-info: install-info-am
1348
1349 install-info-am:
1350
1351 install-man:
1352
1353 install-pdf: install-pdf-am
1354
1355 install-pdf-am:
1356
1357 install-ps: install-ps-am
1358
1359 install-ps-am:
1360
1361 installcheck-am:
1362
1363 maintainer-clean: maintainer-clean-am
1364         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR) src/nopreferences/$(DEPDIR)
1365         -rm -f Makefile
1366 maintainer-clean-am: distclean-am maintainer-clean-generic
1367
1368 mostlyclean: mostlyclean-am
1369
1370 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1371         mostlyclean-libtool
1372
1373 pdf: pdf-am
1374
1375 pdf-am:
1376
1377 ps: ps-am
1378
1379 ps-am:
1380
1381 uninstall-am: uninstall-libscipreferences_la_etcDATA \
1382         uninstall-libscipreferences_la_rootDATA \
1383         uninstall-libscipreferences_la_sci_gatewayDATA \
1384         uninstall-libscipreferences_la_src_xsltDATA \
1385         uninstall-libscipreferences_la_src_xslt_xwizardDATA \
1386         uninstall-pkglibLTLIBRARIES
1387
1388 .MAKE: all check check-am install install-am install-strip
1389
1390 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1391         check-local clean clean-generic clean-libtool clean-local \
1392         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1393         ctags ctags-am distclean distclean-compile distclean-generic \
1394         distclean-libtool distclean-local distclean-tags distdir dvi \
1395         dvi-am html html-am info info-am install install-am \
1396         install-data install-data-am install-data-local install-dvi \
1397         install-dvi-am install-exec install-exec-am install-html \
1398         install-html-am install-html-local install-info \
1399         install-info-am install-libscipreferences_la_etcDATA \
1400         install-libscipreferences_la_rootDATA \
1401         install-libscipreferences_la_sci_gatewayDATA \
1402         install-libscipreferences_la_src_xsltDATA \
1403         install-libscipreferences_la_src_xslt_xwizardDATA install-man \
1404         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1405         install-ps install-ps-am install-strip installcheck \
1406         installcheck-am installdirs maintainer-clean \
1407         maintainer-clean-generic mostlyclean mostlyclean-compile \
1408         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1409         tags tags-am uninstall uninstall-am \
1410         uninstall-libscipreferences_la_etcDATA \
1411         uninstall-libscipreferences_la_rootDATA \
1412         uninstall-libscipreferences_la_sci_gatewayDATA \
1413         uninstall-libscipreferences_la_src_xsltDATA \
1414         uninstall-libscipreferences_la_src_xslt_xwizardDATA \
1415         uninstall-pkglibLTLIBRARIES
1416
1417 .PRECIOUS: Makefile
1418
1419
1420 # This target enables tests for Scilab
1421 check-local: $(top_builddir)/scilab-bin test
1422         if test -d $(mydatadir)/tests; then \
1423           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1424         fi
1425 check-code:
1426         if test -f build.xml; then \
1427                 $(ANT) checkstyle; \
1428         fi
1429         if test -x "$(SPLINT)"; then \
1430                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1431         fi
1432 @NEED_JAVA_TRUE@java:
1433 # Some configurations needs to export JAVA_HOME in the current env
1434 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1435 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1436 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1437 @NEED_JAVA_TRUE@                $(ANT); \
1438 @NEED_JAVA_TRUE@        fi
1439
1440 @NEED_JAVA_TRUE@clean-java:
1441 # Some configurations needs to export JAVA_HOME in the current env
1442 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1443 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1444 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1445 @NEED_JAVA_TRUE@                $(ANT) clean; \
1446 @NEED_JAVA_TRUE@        fi;
1447
1448 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1449 # We call the target swig-build on the variable SWIG_WRAPPERS
1450
1451 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1452 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1453 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1454 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1455 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1456 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1457 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1458 @SWIG_TRUE@             done; \
1459 @SWIG_TRUE@     fi
1460
1461 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1462 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1463 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1464 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1465 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1466 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1467 @SWIG_TRUE@             done; \
1468 @SWIG_TRUE@     fi
1469
1470 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1471 # We call the target swig-build on the variable SWIG_WRAPPERS
1472
1473 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1474 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1475 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1476 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1477 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1478 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1479 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1480 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1481 @GIWS_TRUE@                     else \
1482 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1483 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1484 @GIWS_TRUE@                     fi \
1485 @GIWS_TRUE@             done; \
1486 @GIWS_TRUE@     fi
1487
1488 @GIWS_TRUE@giws-exception:
1489 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1490 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1491 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1492
1493 macros:
1494         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1495                 echo "Error : Cannot build $< : Scilab has not been built"; \
1496         else \
1497                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1498         fi)
1499
1500 # Removes the macros
1501 clean-macros:
1502 # Removes macros (*.bin generated from .sci)
1503         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1504                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1505                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1506         done
1507
1508 test:
1509 # More tests could be added here
1510         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1511         if test -f build.xml -a $$USEANT -eq 1; then \
1512                 $(ANT) test; \
1513         fi
1514
1515 all-local: $(TARGETS_ALL)
1516
1517 .sci.bin:
1518         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1519         echo "Error : Cannot build $< : Scilab has not been build"; \
1520         else \
1521         echo "Creating $@"; \
1522         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1523         fi )
1524
1525 install-html-local:
1526
1527 install-data-local-local:
1528 # Mainly for javasci
1529         @if test -d $(srcdir)/javadoc; then \
1530                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1531         fi
1532 # If the user wants the help sources to be installed
1533 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1534 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1535 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1536 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1537 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1538 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1539 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1540 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1541 @INSTALL_HELP_XML_TRUE@           done ; \
1542 @INSTALL_HELP_XML_TRUE@         fi; \
1543 @INSTALL_HELP_XML_TRUE@  fi; \
1544 @INSTALL_HELP_XML_TRUE@ done; \
1545 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1546 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1547 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1548 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1549 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1550 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1551 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1552 @INSTALL_HELP_XML_TRUE@           done ; \
1553 @INSTALL_HELP_XML_TRUE@         fi; \
1554 @INSTALL_HELP_XML_TRUE@ fi
1555 install-data-local:
1556 # Install the tests
1557         @echo "-------- Install tests (if any) --------"; \
1558         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1559           if test -d $(srcdir)/$$dir/; then \
1560             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1561                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1562                     if test -d "$(srcdir)/$$dir/$$file"; then \
1563                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1564                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1565                     else \
1566                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1567                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1568                     fi \
1569                   done; \
1570           fi; \
1571         done
1572 # Install the help chapter
1573         @echo "-------- Install the help chapter (if any) --------"; \
1574         for lang in $(HELP_CHAPTERLANG); do \
1575                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1576                 if test -f $$HELPFILE; then \
1577                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1578                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1579                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1580                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1581                 fi; \
1582         done
1583 # Install the demos & examples
1584         @echo "-------- Install demos & examples (if any) --------"; \
1585         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1586           if test -d $(srcdir)/$$dir/; then \
1587             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1588                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1589                     if test -d "$(srcdir)/$$dir/$$file"; then \
1590                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1591                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1592                     else \
1593                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1594                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1595                     fi \
1596                   done; \
1597           fi; \
1598         done
1599 # Install the macros
1600         @echo "-------- Install macros (if any) --------"; \
1601         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1602           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1603                 if test -d $(srcdir)/$$dir/; then \
1604                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1605                         if test -n "$(MACROSSPECIALEXT)"; then \
1606                                 specialExtDir=""; \
1607                                 for specialExt in $(MACROSSPECIALEXT); do \
1608                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1609                                 done; \
1610                                 FILELIST="$$FILELIST $$specialExtDir"; \
1611                         fi; \
1612                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1613                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1614                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1615                   done; \
1616                 fi; \
1617         done
1618 # Install java files (.jar)
1619         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1620         echo "-------- Install jar files --------"; \
1621     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1622           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1623                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1624                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1625           done ; \
1626         fi
1627
1628 ########### CLEAN ###################
1629 # Clean help (generated automatically by Scilab)
1630 # It used to clean the macro (clean-macros) but this was causing
1631 # make clean && make to fail Scilab startup
1632 @NEED_JAVA_TRUE@clean-local: clean-java
1633 @NEED_JAVA_FALSE@clean-local:
1634
1635 distclean-local:
1636         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1637
1638 .PHONY: macros java swig giws
1639
1640 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1641 # Otherwise a system limit (for SysV at least) may be exceeded.
1642 .NOEXPORT: